﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SqlServer.Server;
using System.Data.SqlTypes;
using System.IO;
using System.Drawing.Imaging;
using System.Drawing;

namespace WebSiteUsersChartCore
{
    public static class ChartGenerator
    {
        [SqlFunction(DataAccess = DataAccessKind.Read)]
        public static SqlBinary GetUsersChart(int width, int height, string chartTile, string region, int month, int year)
        {
            WebSiteUsersChart chart = new WebSiteUsersChart(width, height, chartTile, region, month, year);
            Bitmap bitmap = chart.PlotChart();

            if (bitmap != null)
            {
                MemoryStream memoryStream = new MemoryStream();
                bitmap.Save(memoryStream, ImageFormat.Jpeg);
                byte[] bytes = memoryStream.GetBuffer();
                bitmap.Dispose();
                memoryStream.Close();
                return bytes;
            }
            else
            {
                return null;
            }
        }
    }
}
